% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/alphaHulls.R
\name{.ah2sp}
\alias{.ah2sp}
\title{Convert Alpha Hull object into a shapefile}
\usage{
.ah2sp(
  x,
  increment = 360,
  rnd = 10,
  proj4string = sp::CRS(as.character(NA)),
  tol = 1e-04
)
}
\arguments{
\item{x}{an alpha hull object}

\item{increment}{numeric. Increments}

\item{rnd}{numeric. Decimal rounding}

\item{proj4string}{crs object with the spatial projection.}

\item{tol}{numeric. tolerance}
}
\value{
a sp polygon object
}
\description{
Convert Alpha Hull object into a shapefile
}
\details{
Function written by Andrew Bevan, found on R-sig-Geo, and modified by Pascal Title
}
\seealso{
Alpha hulls are created with \code{\link{ahull}}.
}
\author{
Pascal Title (original version), Josep M Serra-Diaz (modifications)
}
